﻿using NodaTime;

namespace Drive.Events.Creative.Briefs
{
    public class BriefStartedEvent
    {
        public Guid BriefId { get; set; }
        public Instant CreatedAt { get; set; }
        public int CreatedById { get; set; }
        public short BriefTypeId { get; set; }
        public Guid ClientId { get; set; }
        public int? AccountManagerId { get; set; }
        public LocalDate StartDate { get; set; }
        public LocalDate EndDate { get; set; }
    }

    public class ComposeBriefStartedEvent
        : BriefStartedEvent
    {
        public int BriefScopeId { get; set; }
        public LocalDate ScriptDueDate { get; set; }
        public LocalDate AudioDueDate { get; set; }
    }

    public class RecartRequestStartedEvent
        : BriefStartedEvent
    { }

    public class SuppliedRequestStartedEvent
        : BriefStartedEvent
    { }
}