﻿using Drive.Messages;
using NodaTime;

namespace Drive.Events.Creative.Briefs
{
    public class ComposeBriefCreatedEvent
    {
        public Guid BriefId { get; set; }
        public Instant CreatedAt { get; set; }
        public int CreatedById { get; set; }
        public int BriefScopeId { get; set; }
        public Guid ContractId { get; set; }
        public Guid ClientId { get; set; }
        public int AccountManagerId { get; set; }
        public Guid? CommercialApprovalContactId { get; set; }
        public LocalDate StartDate { get; set; }
        public LocalDate EndDate { get; set; }
        public LocalDate ScriptDueDate { get; set; }
        public LocalDate AudioDueDate { get; set; }
        public IEnumerable<ComposeDetail> Details { get; set; } = Enumerable.Empty<ComposeDetail>();
        public string? InstructingNotes { get; set; }
    }
}