﻿using NodaTime;

namespace Drive.Events.Sales.Contracts
{
    public class ChargeLineCreatedEvent
    {
        public Guid ChargeLineId { get; set; }
        public Instant CreatedAt { get; set; }
        public int CreatedById { get; set; }
        public int? LineNumber { get; set; }
        public Guid ContractId { get; set; }
        public Guid? PackId { get; set; }
        public int ProductId { get; set; }
        public string StationDescription { get; set; } = string.Empty;
        public IDictionary<int, decimal> Stations { get; set; } = new Dictionary<int, decimal>();
        public decimal Amount { get; set; }
        public LocalDate ChargeDate { get; set; }
        public string Description { get; set; } = string.Empty;
        public bool IncludeAgencyCommission { get; set; }
        public bool IncludeBookingFee { get; set; }
    }
}