﻿using NodaTime;

namespace Drive.Events.Sales.Contracts
{
    public class CostLineCreatedEvent
    {
        public Guid CostLineId { get; set; }
        public Instant CreatedAt { get; set; }
        public int CreatedById { get; set; }
        public int? LineNumber { get; set; }
        public Guid ContractId { get; set; }
        public int ProductId { get; set; }
        public int? BranchId { get; set; }
        public int? DepartmentId { get; set; }
        public string StationDescription { get; set; } = string.Empty;
        public IDictionary<int, decimal> Stations { get; set; } = new Dictionary<int, decimal>();
        public decimal Amount { get; set; }
        public LocalDate CostDate { get; set; }
        public string Description { get; set; } = string.Empty;
        public bool AccountManagerNonDeductible { get; set; }
    }
}